Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.message
Enum MapMessage.MapFormat

    java.lang.Object
      java.lang.Enum<MapMessage.MapFormat>
          org.apache.logging.log4j.message.MapMessage.MapFormat

All Implemented Interfaces:
  Serializable, Comparable<MapMessage.MapFormat>

Enclosing class:
  MapMessage

    public static enum MapMessage.MapFormat

extends Enum<MapMessage.MapFormat>

When set as the format specifier causes the Map to be formatted as XML.

Enum Constant Summary
`JAVA` The map should be formatted the same as documented by java.util.AbstractMap.toString().
`JSON` The map should be formatted as JSON.
`XML` The map should be formatted as XML.

Method Summary
`static MapMessage.MapFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MapMessage.MapFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XML

    public static final MapMessage.MapFormat XML

  The map should be formatted as XML.

### JSON

    public static final MapMessage.MapFormat JSON

  The map should be formatted as JSON.

### JAVA

    public static final MapMessage.MapFormat JAVA

  The map should be formatted the same as documented by java.util.AbstractMap.toString().

Method Detail

### values

    public static MapMessage.MapFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MapMessage.MapFormat c : MapMessage.MapFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MapMessage.MapFormat valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.